# Changelog
*As versões que não estiverem listadas abaixo significa que não houve alteração. Houve apenas a necessidade de atualizar a [libFrontend](http://gitlab.teknisa.com/teknisa/libfrontend-next).*

## [2.4.1](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.4.1)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.4.0...2.4.1)

**Fixed Bugs**
- Adicionado tratamento para não criar arquivos de tradução quando a pasta do módulo não existir.

## [2.4.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.4.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.9...2.4.0)

**Features**
- Adicionada rotina para atualizar os arquivos de tradução via integração com Zh Angular.

## [2.3.9](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.9)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.8...2.3.9)

**Fixed Bugs**
- Corrigido erro na busca de labels em ambientes SaaS.

## [2.3.8](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.8)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.7...2.3.8)

**Fixed Bugs**
- Corrigido erro que utilizava NRORG 20 para busca de labels em ambientes SaaS.

## [2.3.7](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.7)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.6...2.3.7)

**Fixed Bugs**
- Corrigido erro de carregamento eterno na rota **lib_startSession** em ambientes **SaaS** quando a base Teknisa (_20_) está inacessível.

## [2.3.6](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.6)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.5...2.3.6)

**Fixed Bugs**
- Correção na rotina de sessão expirada gerando _Token Inválido_.

## [2.3.5](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.5)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.4...2.3.5)

**Fixed Bugs**
- Correção na rotina de sessão expirada não renovando o tempo do token quando ficava muito tempo ocioso.

## [2.3.4](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.4)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.3...2.3.4)

**Fixed Bugs**
- Correção na classe __Active Directory__ para o __PHP 7.4__.

## [2.3.3](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.3)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.2...2.3.3)

**Fixed Bugs**
- Correção de erro da busca do Labels quando o operador logado não possui perfil de acesso.

## [2.3.2](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.2)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.1...2.3.2)

**Fixed Bugs**
- Removido parâmetro dinâmico da rota `lib_metadata` que por não ter uso e apresentar erro no PHP `7.4`.

## [2.3.1](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.1)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.3.0...2.3.1)

**Improvements**
- Alteração de uso das funções **implode** e **array_key_exists** para a versão **7.4** do **PHP**.

## [2.3.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.3.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.2.0...2.3.0)

**Improvements**
- Adicionado tratamento de erro para a versão **7.4** do **PHP**.
- Adicionado tratamento na rotina de construir o menu para que, caso o produto não possua a pasta do módulo de ACL, as regras dos labels não serão aplicadas.

**Fixed Bugs**
- Correção na versão dos módulos diferentes do atual utilizados no **versionInfro**.

## [2.2.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.2.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.1.3...2.2.0)

**Features**
- Adicionada rotina de versionamento do produto e imagem de usuário para o componente **UserInfo**.

**Improvements**
- Adicionada função para tratar valores utilizando os **ACL Labels**.

## [2.1.3](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.1.3)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.1.1...2.1.3)

**Fixed Bugs**
- Correção de erro gerando exceção **INVALID_TOKEN** indevidamente nas requisições.

## [2.1.1](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.1.1)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.1.0...2.1.1)

**Fixed Bugs**
- Adicionado tratamento para correto funcionamento de conexões que utilizam o modelo VPD (SaaS) em URLs distintas de front e back.

## [2.1.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.1.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.0.3...2.1.0)

**Features**
- Adicionados tratamentos para filtragem dos JSON's utilizando __aclLabels__.

## [2.0.3](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.0.3)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.0.2...2.0.3)

**Fixed Bugs**
- Adicionado tratamento para correto funcionamento de conexões que utilizam o modelo VPD (SaaS) em URLs distintas de front e back.

## [2.0.2](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.0.2)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/2.0.1...2.0.2)

**Features**
- Adicionada função estática __callLicenseSaveOrgFilial__ na classe __\Teknisa\Libs\Util\Utilities__ para salvar no banco a __Organização__ e a __Filial__ a ser utilizada na rotina de __Valida Filial__. Essa função chamará um webservice para o __License__ gravar os dados no banco Teknisa.
    - Parâmetro __NRORG__    => Código da Organização.
    - Parâmetro __CDFILIAL__ => Código da Filial.
- Adicionada rota __/lib_saveOrgFilial__ para executar a função __callLicenseSaveOrgFilial__ a partir do frontend, recebendo os parâmetros acima com o tipo __DataSet__.

## [2.0.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/2.0.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.1.5...2.0.0)

**Improvements**
- Atualização do __TeknisaCrud__ para funcionamento no Zeedhi Next (*Rafael Dias*).

## [1.1.5](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.1.5)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.1.3...1.1.5)

**Improvements**
- Alteração na __Busca de Município__: primeiramente por __IBGE__, caso contrário por __Nome__ (*Rafael Dias*).

## [1.1.3](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.1.3)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.1.2...1.1.3)

**Improvements**
- Adicionada validação do acesso concorrente para operadores de suporte.

## [1.1.2](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.1.2)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.1.0...1.1.2)

**Fixed Bugs**
- Alteração na classe __Configuration__ para manter compatibilidade com o framework 2.4.3.

## [1.1.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.1.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.0.4...1.1.0)

**Fixed Bugs**
- Alteração do momento de gravar a data atual para controle de tempo da sessão para corrigir bugs de dados da sessão.

## [1.0.4](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.0.4)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.0.3...1.0.4)

**Fixed Bugs**
- Correção do erro que impedia de gravar os dados coletados na rotina de login em ambiente SaaS.
- Adicionado tratamento para rotina de buildar o menu funcionar no WebService do OM.

## [1.0.3](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.0.3)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.0.2...1.0.3)

**Improvements**
- Alteração da rotina de busca das versões atuais do Produto + Módulos para a estrutura do Zeedhi Next.

## [1.0.1](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.0.1)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/1.0.0...1.0.1)

**Fixed Bugs**
- Alteração da rota de construir o menu para utilizar o método POST.

## [1.0.0](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/1.0.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/0.2.0...1.0.0)

**Features**
- Geração da primeira versão oficial.
- Adicionada rotina de sessão expirada.

## [0.2.0 (BETA)](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/0.2.0)
[Full Changelog](http://gitlab.teknisa.com/teknisa/libbackend-next/compare/0.1.0...1.2.0)

**Features**
- Adicionada rotina de construir o menu do Produto + Módulos.

## [0.1.0 (BETA)](http://gitlab.teknisa.com/teknisa/libbackend-next/tree/0.1.0)

**Features**
- Criação da LIB com a rotina de inicializar a sessão dos produtos.